package com.ssj.bean.weixin.libmy.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_lib_book_base")
public class TbLibBookBase extends BaseEntity {
	private static final long serialVersionUID = 1L;
	private String title; //书名
	private String authorIntro; //作者简介
	private String summary; //内容简介
	private String price; //价格
	private String author; //作者
	private String publisher; //出版社
	private String isbn13; //isbn
	private String isbn10;
	private String doubanImage; //根据豆瓣接口获取的图片
	private String pubdate; //出版日期
	private String localImage; //本地书籍封面图片
	private Date createTime; //创建时间
	private Date updateTime; //修改时间
	private String pages; //页码
	private String catalog;//目录
	private String bookTag;//书籍标签
	private String bookAge; //书籍适合年龄
	private String isSerial; //是否丛书，针对1个isbn号有多个副本的情况
	private String csisbn; //无isbn号的书籍的系统给予的自编号
	private String isbnshow; //编辑时显示用的isbn
	private String csisbnshow; //编辑时显示用
	private String bookcase;//书架
	private String startAge;//适读起始年龄
	private String endAge;//适读结束年龄
	private String keyword;//关键字
	private String bookGr;//gr
	private String keywordFeel;//关键字的情感指数，用于推荐书籍的
	private String parentTheme; //一级主题
	private String childTheme;//二级主题
	private String grade;//年级
	private String section;//年段
	
	@Column(name = "author_intro")
	public String getAuthorIntro() {
		return authorIntro;
	}
	public void setAuthorIntro(String authorIntro) {
		this.authorIntro = authorIntro;
	}
	@Column(name = "summary")
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getKeywordFeel() {
		return keywordFeel;
	}
	public void setKeywordFeel(String keywordFeel) {
		this.keywordFeel = keywordFeel;
	}
	@Column(name = "author")
	public String getAuthor() {
		return author;
	}
	@Column(name = "price")
	public String getPrice() {
		return price;
	}
	public void setPrice(String price) {
		this.price = price;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	@Column(name = "publisher")
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	@Column(name = "isbn13")
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	@Column(name = "isbn10")
	public String getIsbn10() {
		return isbn10;
	}
	public void setIsbn10(String isbn10) {
		this.isbn10 = isbn10;
	}
	@Column(name = "douban_image")
	public String getDoubanImage() {
		return doubanImage;
	}
	public void setDoubanImage(String doubanImage) {
		this.doubanImage = doubanImage;
	}
	@Column(name = "pubdate")
	public String getPubdate() {
		return pubdate;
	}
	public void setPubdate(String pubdate) {
		this.pubdate = pubdate;
	}
	@Column(name = "local_image")
	public String getLocalImage() {
		return localImage;
	}
	public void setLocalImage(String localImage) {
		this.localImage = localImage;
	}
	@Column(name = "create_time",updatable =false)
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "pages")
	public String getPages() {
		return pages;
	}
	public void setPages(String pages) {
		this.pages = pages;
	}
	@Column(name = "catalog")
	public String getCatalog() {
		return catalog;
	}
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}
	@Column(name = "book_tag")
	public String getBookTag() {
		return bookTag;
	}
	public void setBookTag(String bookTag) {
		this.bookTag = bookTag;
	}
	@Column(name = "book_age")
	public String getBookAge() {
		return bookAge;
	}
	public void setBookAge(String bookAge) {
		this.bookAge = bookAge;
	}
	@Column(name = "title")
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getIsSerial() {
		return isSerial;
	}
	public void setIsSerial(String isSerial) {
		this.isSerial = isSerial;
	}
	public String getCsisbn() {
		return csisbn;
	}
	public void setCsisbn(String csisbn) {
		this.csisbn = csisbn;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	@Transient
	public String getIsbnshow() {
		return isbnshow;
	}
	public void setIsbnshow(String isbnshow) {
		this.isbnshow = isbnshow;
	}
	@Transient
	public String getCsisbnshow() {
		return csisbnshow;
	}
	public void setCsisbnshow(String csisbnshow) {
		this.csisbnshow = csisbnshow;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getBookcase() {
		return bookcase;
	}
	public void setBookcase(String bookcase) {
		this.bookcase = bookcase;
	}
	public String getStartAge() {
		return startAge;
	}
	public void setStartAge(String startAge) {
		this.startAge = startAge;
	}
	public String getEndAge() {
		return endAge;
	}
	public void setEndAge(String endAge) {
		this.endAge = endAge;
	}
	public String getBookGr() {
		return bookGr;
	}
	public void setBookGr(String bookGr) {
		this.bookGr = bookGr;
	}
	public String getParentTheme() {
		return parentTheme;
	}
	public void setParentTheme(String parentTheme) {
		this.parentTheme = parentTheme;
	}
	public String getChildTheme() {
		return childTheme;
	}
	public void setChildTheme(String childTheme) {
		this.childTheme = childTheme;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSection() {
		return section;
	}
	public void setSection(String section) {
		this.section = section;
	}
	
	
	
}
